Subject: Re: [PATCH net-next v2] net: Fix unused variable compile warning

From: Simon Horman <[email-masked]>
Date: Wed, 7 Oct 2015 10:02:40 +0900

On Mon, Oct 05, 2015 at 11:35:37PM -0700, David Miller wrote:
> From: Cong Wang <[email-masked]>
> Date: Mon, 5 Oct 2015 10:53:57 -0700
> 
> > On Thu, Oct 1, 2015 at 8:49 AM, David Ahern <[email-masked]> wrote:
> >> Eric's net namespace changes in 1b75097dd7a26 leaves net unreferenced if
> >> CONFIG_IP_VS_IPV6 is not enabled:
> >>
> >> ../net/netfilter/ipvs/ip_vs_core.c: In function ‘ip_vs_out’:
> >> ../net/netfilter/ipvs/ip_vs_core.c:1177:14: warning: unused variable ‘net’ [-Wunused-variable]
> >>
> >> After the net refactoring there is only 1 user; push the reference to the
> >> 1 user. While the line length slightly exceeds 80 it seems to be the
> >> best change.
> >>
> >> Fixes: 1b75097dd7a26("ipvs: Pass ipvs into ip_vs_out")
> >> Signed-off-by: David Ahern <[email-masked]>
> > 
> > I saw the same build warning, and this fix looks good to me.
> > 
> > DaveM, can you take this?
> 
> It should be submitted to netfilter-devel and Pablo should take it.

lvs-devel would be better yet.
I submitted an identical patch there yesterday.

I'll pick up David's version and send it to Pablo ASAP.